Bug 153648 - When the shell exits in the built-in terminal, dolphin starts another
Summary: When the shell exits in the built-in terminal, dolphin starts another
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-07 22:23 UTC by Ivo Anjo
Modified: 2007-12-19 02:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivo Anjo 2007-12-07 22:23:32 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

When typing "exit" on the terminal pane inside dolphin, the pane doesn't hide, and instead starts a new shell.

I think when exiting, the terminal panel should disappear (see kate and konqueror).
Comment 1 Morten O. Hansen 2007-12-10 17:03:08 UTC
I agree, this was the behaviour of the embedded terminal in konqueror in 3.5.
Comment 2 Rafael Fernández López 2007-12-19 02:35:28 UTC
SVN commit 750276 by ereslibre:

Now the konsole part is autodestructed when no tabs do exist. This makes the desired effect on dolphin when typing "exit" on the terminal, the dock will be hidden.

BUG: 153648


 M  +2 -0      dolphin/src/dolphinmainwindow.cpp  
 M  +21 -0     dolphin/src/terminalsidebarpage.cpp  
 M  +4 -0      dolphin/src/terminalsidebarpage.h  
 M  +3 -4      konsole/src/Part.cpp  
 M  +1 -2      konsole/src/Part.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=750276